Subject: bug#22055: closed (Re: bug#22055: Some Elpa packages don't provide a feature)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Dec 2015 20:35:02 +0000

Your bug report

#22055: Some Elpa packages don't provide a feature

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22055: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22055
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22055: Some Elpa packages don't provide a feature
From: Artur Malabarba <[email-masked]>
To: Jonas Bernoulli <[email-masked]>
Cc: [email-masked]
Date: Sat, 12 Dec 2015 20:34:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing the bug then.

2015-12-12 19:36 GMT+00:00 Jonas Bernoulli <[email-masked]>:
>
> Artur Malabarba <[email-masked]> writes:
>
>> 2015-12-03 14:34 GMT+00:00 Jonas Bernoulli <[email-masked]>:
>>>
>>> Artur Malabarba <[email-masked]> writes:
>>>
>>>>> `load-relative' also doesn't provide its feature using `provide', but
>>>>> that is intentional - it uses the alternative `provide-me' form, which
>>>>> it itself defines.
>>>>
>>>> I can't see the benefit but I also can't see the harm. Did it affect you
>>>> negatively in any way?
>>>
>>> No, I just cannot mirror it on the Emacsmirror, but that does not really
>>> matter because I also could not mirror any other package which uses
>>> `provide-me'.  I extract metadata for all mirrored packages, including
>>> the provided features, and the respective code does not support
>>> `provide-me'.  I don't intend to support that form until at least halve
>>> a dozen packages use it.
>>
>> Well, I couldn't find a package Gelpa or Melpa that uses it. So I
>> think it's not really a big deal either way. =P
>
> Yeah, I'll deal with it when the need arises.

Subject: Some Elpa packages don't provide a feature
From: Jonas Bernoulli <[email-masked]>
To: [email-masked]
Date: Sun, 29 Nov 2015 20:34:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The following Elpa packages do not provide a feature: `ada-ref-man',
`transcribe', and `uni-confusables'.  I believe all packages should
contain a library which provides the appropriate feature.

`transcribe' additionally violates many other conventions.  The various
section headers lack the space after the semicolons.  Not a single
symbol is properly prefixed or documented.  It should probably be
removed.

`load-relative' also doesn't provide its feature using `provide', but
that is intentional - it uses the alternative `provide-me' form, which
it itself defines.  I cannot really see what's so great about being
able to write `(provide-me)' instead of `(provide 'the-feature)', but
some people obviously thought it that was a good idea.  Anyway, should
`load-relative' itself really use `provide-me'?